aboutsummaryrefslogtreecommitdiffstats
path: root/x11/xauth/APKBUILD
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2009-03-31 09:00:33 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2009-03-31 09:00:33 +0000
commit5f48862bd35fa093d7c22a72ded82f1d49328ce2 (patch)
treef876b686a71d9355dff2240a76d09dc2c7af73df /x11/xauth/APKBUILD
parent53666ff60d8cdb5f3ea712f582d31f5caba0e413 (diff)
downloadaports-5f48862bd35fa093d7c22a72ded82f1d49328ce2.tar.gz
aports-5f48862bd35fa093d7c22a72ded82f1d49328ce2.tar.bz2
aports-5f48862bd35fa093d7c22a72ded82f1d49328ce2.tar.xz
x11/xauth: new aport
X.Org authorization settings program
Diffstat (limited to 'x11/xauth/APKBUILD')
-rw-r--r--x11/xauth/APKBUILD20
1 files changed, 20 insertions, 0 deletions
diff --git a/x11/xauth/APKBUILD b/x11/xauth/APKBUILD
new file mode 100644
index 0000000000..462da47fef
--- /dev/null
+++ b/x11/xauth/APKBUILD
@@ -0,0 +1,20 @@
+# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
+pkgname=xauth
+pkgver=1.0.3
+pkgrel=0
+pkgdesc="X.Org authorization settings program"
+url="http://xorg.freedesktop.org/"
+license="custom"
+depends="libxau libxext libxmu libx11 uclibc"
+makedepends="pkgconfig libxau-dev libxext-dev libxmu-dev libx11-dev"
+source="http://xorg.freedesktop.org/releases/individual/app/xauth-$pkgver.tar.bz2"
+
+build ()
+{
+ cd "$srcdir"/xauth-$pkgver
+ ./configure --prefix=/usr || return 1
+ make || return 1
+ make DESTDIR="$pkgdir" install || return 1
+ install -Dm644 COPYING "$pkgdir"/usr/share/licenses/$pkgname/COPYING
+}
+md5sums="e91e10ace1df0d5f2cbc74ead256407a xauth-1.0.3.tar.bz2"